﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using igGrid_Sample_MVC5.Models;
using Infragistics.Web.Mvc;

namespace igGrid_Sample_MVC5.Controllers
{
    public class HomeController : Controller
    {
		//
		// GET: /Home/

		public ActionResult Index()
		{
			return View(this.GetProducts().AsQueryable());
		}

		private List<Product> GetProducts()
		{
			List<Product> products = new List<Product>()
            {
                new Product() { IDProjeto = 1, Name = "Adjustable Race", ProductNumber = "AR-5381", CategoryID = 1 },
                new Product() { IDProjeto = 2, Name = "Bearing Ball", ProductNumber = "BA-8327", CategoryID = 2 },
                new Product() { IDProjeto = 3, Name = "BB Ball Bearing", ProductNumber = "BE-2349", CategoryID = 1 },
                new Product() { IDProjeto = 4, Name = "Headset Ball Bearings", ProductNumber = "BE-2908", CategoryID = 3 },
                new Product() { IDProjeto = 316, Name = "Blade", ProductNumber = "BL-2036", CategoryID = 3 },
                new Product() { IDProjeto = 317, Name = "LL Crankarm", ProductNumber = "CA-5965", CategoryID = 1 },
                new Product() { IDProjeto = 318, Name = "ML Crankarm", ProductNumber = "CA-6738", CategoryID = 2 },
                new Product() { IDProjeto = 319, Name = "HL Crankarm", ProductNumber = "CA-7457", CategoryID = 1 },
                new Product() { IDProjeto = 320, Name = "Chainring Bolts", ProductNumber = "CB-2903", CategoryID = 2 },
                new Product() { IDProjeto = 321, Name = "Chainring Nut", ProductNumber = "CN-6137", CategoryID = 2 }
            };

			return products;
		}

		 

		public void SaveData()
		{
			GridModel model = new GridModel();
			List<Transaction<Product>> products = model.LoadTransactions<Product>(Request.Form["ig_transactions"]);
		}
	}
}